POST Application/PostWorkflows
Request Information
URI Parameters
None.
Body Parameters
Workflow| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| ParentID | globally unique identifier |
None. |
|
| TypeID | integer |
Required |
|
| Name | string |
Required |
|
| Description | string |
None. |
|
| Sequence | integer |
Required |
|
| Active | boolean |
Required |
|
| Caption | string |
None. |
|
| IconName | string |
None. |
|
| IsMobile | boolean |
Required |
|
| Alias | string |
None. |
|
| NotificationBadgeValueViewModel | string |
None. |
|
| NotificationBadgeBackgroundColour | string |
None. |
|
| NotificationBadgeTextColour | string |
None. |
|
| IsPercentageNotificationBadge | boolean |
Required |
|
| IsVisible | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "20d690e7-87db-4631-82bc-518f1f053e56",
"parentID": "b8090221-fa91-4ad2-ac3c-ae1848691265",
"typeID": 2,
"name": "sample string 3",
"description": "sample string 4",
"sequence": 5,
"active": true,
"caption": "sample string 7",
"iconName": "sample string 8",
"isMobile": true,
"alias": "sample string 10",
"notificationBadgeValueViewModel": "sample string 11",
"notificationBadgeBackgroundColour": "sample string 12",
"notificationBadgeTextColour": "sample string 13",
"isPercentageNotificationBadge": true,
"isVisible": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.